Index: /LMDZ5/branches/testing/libf/phylmd/carbon_cycle_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/carbon_cycle_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/carbon_cycle_mod.F90	(revision 2408)
@@ -86,14 +86,14 @@
 
     USE dimphy
-    USE comgeomphy
+    USE geometry_mod, ONLY : cell_area 
     USE mod_phys_lmdz_transfert_para
-    USE infotrac
+    USE infotrac_phy, ONLY: nbtr, nqo, niadv, tname
     USE IOIPSL
     USE surface_data, ONLY : ok_veget, type_ocean
     USE phys_cal_mod, ONLY : mth_len
+    USE print_control_mod, ONLY: lunout
 
     IMPLICIT NONE
     INCLUDE "clesphys.h"
-    INCLUDE "iniprint.h"
  
 ! Input argument
@@ -135,5 +135,5 @@
        WRITE(lunout,*) 'carbon_cycle_emis_comp = ',carbon_cycle_emis_comp
        IF (carbon_cycle_emis_comp) THEN
-          CALL abort_gcm('carbon_cycle_init', 'carbon_cycle_emis_comp option not yet implemented!!',1)
+          CALL abort_physic('carbon_cycle_init', 'carbon_cycle_emis_comp option not yet implemented!!',1)
        END IF
     END IF
@@ -226,5 +226,5 @@
           co2trac(itc)%updatefreq = 86400
           ! DOES THIS WORK ???? Problematic due to implementation of the coupled fluxes...
-          CALL abort_gcm('carbon_cycle_init','transport of total CO2 has to be implemented and tested',1)
+          CALL abort_physic('carbon_cycle_init','transport of total CO2 has to be implemented and tested',1)
        END SELECT
     END DO
@@ -248,5 +248,5 @@
     ! Allocate vector for storing fluxes to inject
     ALLOCATE(dtr_add(klon,maxco2trac), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 11',1)       
+    IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 11',1)       
     
     ! Allocate variables for cumulating fluxes from ORCHIDEE
@@ -254,9 +254,9 @@
        IF (.NOT. carbon_cycle_tr .AND. carbon_cycle_cpl) THEN
           ALLOCATE(fco2_land_day(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 2',1)
+          IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 2',1)
           fco2_land_day(1:klon) = 0.
           
           ALLOCATE(fco2_lu_day(klon), stat=ierr)
-          IF (ierr /= 0) CALL abort_gcm('carbon_cycle_init', 'pb in allocation 3',1)
+          IF (ierr /= 0) CALL abort_physic('carbon_cycle_init', 'pb in allocation 3',1)
           fco2_lu_day(1:klon)   = 0.
        END IF
@@ -268,10 +268,10 @@
 !    IF (carbon_cycle_cpl .AND. type_ocean/='couple') THEN
 !       WRITE(lunout,*) 'Coupling with ocean model is needed for carbon_cycle_cpl'
-!       CALL abort_gcm('carbon_cycle_init', 'coupled ocean is needed for carbon_cycle_cpl',1)
+!       CALL abort_physic('carbon_cycle_init', 'coupled ocean is needed for carbon_cycle_cpl',1)
 !    END IF
 !
 !    IF (carbon_cycle_cpl .AND..NOT. ok_veget) THEN
 !       WRITE(lunout,*) 'Coupling with surface land model ORCHDIEE is needed for carbon_cycle_cpl'
-!       CALL abort_gcm('carbon_cycle_init', 'ok_veget is needed for carbon_cycle_cpl',1)
+!       CALL abort_physic('carbon_cycle_init', 'ok_veget is needed for carbon_cycle_cpl',1)
 !    END IF
 
@@ -279,5 +279,5 @@
     teststop=0
     DO it=1,teststop
-       CALL abort_gcm('carbon_cycle_init', 'Entering loop from 1 to 0',1)
+       CALL abort_physic('carbon_cycle_init', 'Entering loop from 1 to 0',1)
     END DO
 
@@ -285,10 +285,10 @@
        ! No carbon tracers found in tracer.def. It is not possible to do carbon cycle 
        WRITE(lunout,*) 'No carbon tracers found in tracer.def. Not ok with carbon_cycle_tr and/or carbon_cycle_cp'
-       CALL abort_gcm('carbon_cycle_init', 'No carbon tracers found in tracer.def',1)
+       CALL abort_physic('carbon_cycle_init', 'No carbon tracers found in tracer.def',1)
     END IF
     
 ! 5) Calculate total area of the earth surface
 ! --------------------------------------------
-    CALL reduce_sum(SUM(airephy),airetot)
+    CALL reduce_sum(SUM(cell_area),airetot)
     CALL bcast(airetot)
 
@@ -304,16 +304,16 @@
 ! - Calculate CO2 flux to send to ocean and land models (PISCES and ORCHIDEE)
 
-    USE infotrac
+    USE infotrac_phy, ONLY: nbtr
     USE dimphy
     USE mod_phys_lmdz_transfert_para
     USE phys_cal_mod, ONLY : mth_cur, mth_len
     USE phys_cal_mod, ONLY : day_cur
-    USE comgeomphy
     USE indice_sol_mod
+    USE print_control_mod, ONLY: lunout
+    USE geometry_mod, ONLY : cell_area
 
     IMPLICIT NONE
 
     INCLUDE "clesphys.h"
-    INCLUDE "iniprint.h"
     INCLUDE "YOMCST.h"
 
@@ -371,5 +371,5 @@
              CASE DEFAULT
                 WRITE(lunout,*) 'Error with tracer ',co2trac(it)%name
-                CALL abort_gcm('carbon_cycle', 'No coupling implemented for this tracer',1)
+                CALL abort_physic('carbon_cycle', 'No coupling implemented for this tracer',1)
              END SELECT
           ELSE
@@ -444,5 +444,5 @@
 
           ! Calculate a global mean value of delta CO2 flux
-          fco2_tmp(1:klon) = fco2_tmp(1:klon) * airephy(1:klon)
+          fco2_tmp(1:klon) = fco2_tmp(1:klon) * cell_area(1:klon)
           CALL reduce_sum(SUM(fco2_tmp),sumtmp)
           CALL bcast(sumtmp)
Index: /LMDZ5/branches/testing/libf/phylmd/cdrag.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cdrag.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cdrag.F90	(revision 2408)
@@ -9,4 +9,5 @@
   USE dimphy
   USE indice_sol_mod
+  USE print_control_mod, ONLY: lunout
   IMPLICIT NONE
 ! ================================================================= c
@@ -98,5 +99,4 @@
 !  INCLUDE "indicesol.h"
   INCLUDE "clesphys.h"
-  INCLUDE "iniprint.h"
 !
 ! Quelques constantes et options:
@@ -143,5 +143,5 @@
       WRITE(lunout,*)" The negative q1 is set to zero "
 !      abort_message="voir ci-dessus"
-!      CALL abort_gcm(modname,abort_message,1)
+!      CALL abort_physic(modname,abort_message,1)
   ENDIF
   IF (ng_qsurf.GT.0) THEN
@@ -150,5 +150,5 @@
       WRITE(lunout,*)" The negative qsurf is set to zero "
 !      abort_message="voir ci-dessus"
-!      CALL abort_gcm(modname,abort_message,1)
+!      CALL abort_physic(modname,abort_message,1)
   ENDIF
 
Index: /LMDZ5/branches/testing/libf/phylmd/cfmip_point_locations.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cfmip_point_locations.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cfmip_point_locations.F90	(revision 2408)
@@ -34,8 +34,7 @@
   USE dimphy
   USE iophy
-  USE mod_grid_phy_lmdz
+  USE mod_grid_phy_lmdz, ONLY: nbp_lon, nbp_lat, klon_glo
 
   IMPLICIT none 
-#include "dimensions.h"
   INTEGER :: npCFMIP
   REAL, DIMENSION(npCFMIP) :: lonCFMIP, latCFMIP
@@ -44,13 +43,13 @@
   REAL :: dlon1, dlon2
   REAL :: dlat1, dlat2
-  REAL, DIMENSION(iim+1) :: lon
+  REAL, DIMENSION(nbp_lon+1) :: lon
   INTEGER, DIMENSION(npCFMIP) :: tabijGCM
   REAL, DIMENSION(npCFMIP) :: lonGCM, latGCM
 
-  lon(1:iim)=io_lon(:)
-  lon(iim+1)=-1*lon(1)
+  lon(1:nbp_lon)=io_lon(:)
+  lon(nbp_lon+1)=-1*lon(1)
   OPEN(22, file="LMDZ_pointsCFMIP.txt")
   DO np=1, npCFMIP
-  DO i=1, iim
+  DO i=1, nbp_lon
 !
 ! PRINT*,'IM np i lonCF lonGCM lonGCM+1',np,i,lonCFMIP(np),lon(i), &
@@ -85,5 +84,5 @@
    ELSE
     j=j+1
-    IF(j.LE.jjm) THEN 
+    IF(j.LE.nbp_lat-1) THEN 
      GOTO 40
     ENDIF
@@ -99,9 +98,9 @@
      lonGCM(ip)=lon(ipt(ip))
      latGCM(ip)=io_lat(jpt(ip))
-     if(jpt(ip).GE.2.AND.jpt(ip).LE.jjm) THEN     
-      tabijGCM(ip)=1+(jpt(ip)-2)*iim+ipt(ip)
+     if(jpt(ip).GE.2.AND.jpt(ip).LE.nbp_lat-1) THEN     
+      tabijGCM(ip)=1+(jpt(ip)-2)*nbp_lon+ipt(ip)
      else if(jpt(ip).EQ.1) THEN
       tabijGCM(ip)=1
-     else if(jpt(ip).EQ.jjm+1) THEN
+     else if(jpt(ip).EQ.nbp_lat) THEN
       tabijGCM(ip)=klon_glo
      else 
Index: /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/change_srf_frac_mod.F90	(revision 2408)
@@ -33,6 +33,6 @@
     USE ocean_slab_mod, ONLY : fsic, ocean_slab_frac
     USE indice_sol_mod
-
-    INCLUDE "iniprint.h"
+    USE print_control_mod, ONLY: lunout
+    
     INCLUDE "YOMCST.h"
 !albedo SB >>>
@@ -109,5 +109,5 @@
           WRITE(lunout,*)'at point = ',MINLOC(pctsrf(:,:))
           WRITE(lunout,*)'value = ',MINVAL(pctsrf(:,:)) 
-          CALL abort_gcm('change_srf_frac','Negative fraction',1)
+          CALL abort_physic('change_srf_frac','Negative fraction',1)
        END IF
 
@@ -116,5 +116,5 @@
           DO i= 1, klon
              tmpsum = SUM(pctsrf(i,:))
-             IF (ABS(1. - tmpsum) > 0.05) CALL abort_gcm('change_srf_frac','Total fraction not equal 1.',1)
+             IF (ABS(1. - tmpsum) > 0.05) CALL abort_physic('change_srf_frac','Total fraction not equal 1.',1)
           END DO
        END IF
Index: /LMDZ5/branches/testing/libf/phylmd/clcdrag.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/clcdrag.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/clcdrag.F90	(revision 2408)
@@ -73,5 +73,5 @@
 
   abort_message='obsolete, remplace par cdrag, use at you own risk'
-  CALL abort_gcm(modname,abort_message,1)
+  CALL abort_physic(modname,abort_message,1)
 
 
Index: /LMDZ5/branches/testing/libf/phylmd/climb_wind_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/climb_wind_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/climb_wind_mod.F90	(revision 2408)
@@ -44,23 +44,23 @@
 
     ALLOCATE(alf1(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf1',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate alf1',1)
 
     ALLOCATE(alf2(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate alf2',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate alf2',1)
 
     ALLOCATE(Kcoefm(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate Kcoefm',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate Kcoefm',1)
 
     ALLOCATE(Ccoef_U(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocate Ccoef_U',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocate Ccoef_U',1)
 
     ALLOCATE(Dcoef_U(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Dcoef_U',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Dcoef_U',1)
 
     ALLOCATE(Ccoef_V(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Ccoef_V',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Ccoef_V',1)
 
     ALLOCATE(Dcoef_V(klon,klev), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm(modname,'Pb in allocation Dcoef_V',1)
+    IF (ierr /= 0) CALL abort_physic(modname,'Pb in allocation Dcoef_V',1)
 
     ALLOCATE(Acoef_U(klon), Bcoef_U(klon), Acoef_V(klon), Bcoef_V(klon), STAT=ierr)
Index: /LMDZ5/branches/testing/libf/phylmd/cloudth.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/cloudth.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/cloudth.F90	(revision 2408)
@@ -19,5 +19,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "iniprint.h"
 #include "thermcell.h"
 
@@ -284,5 +283,4 @@
 #include "YOETHF.h"
 #include "FCTTRE.h"
-#include "iniprint.h"
 #include "thermcell.h"
 
Index: /LMDZ5/branches/testing/libf/phylmd/coef_diff_turb_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/coef_diff_turb_mod.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/coef_diff_turb_mod.F90	(revision 2408)
@@ -18,4 +18,5 @@
     USE dimphy
     USE indice_sol_mod
+    USE print_control_mod, ONLY: prt_level, lunout
 !
 ! Calculate coefficients(ycoefm, ycoefh) for turbulent diffusion in the 
@@ -56,5 +57,4 @@
 !****************************************************************************************
     INCLUDE "clesphys.h"
-    INCLUDE "iniprint.h"
     INCLUDE "compbl.h"
     INCLUDE "YOETHF.h"
@@ -188,4 +188,5 @@
     USE dimphy
     USE indice_sol_mod
+    USE print_control_mod, ONLY: prt_level, lunout
   
 !======================================================================
@@ -211,5 +212,4 @@
     INCLUDE "YOMCST.h"
     INCLUDE "FCTTRE.h"
-    INCLUDE "iniprint.h"
     INCLUDE "compbl.h"
 !
Index: /LMDZ5/branches/testing/libf/phylmd/coefcdrag.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/coefcdrag.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/coefcdrag.F90	(revision 2408)
@@ -78,5 +78,5 @@
 
   abort_message='obsolete, remplace par cdrag, use at you own risk'
-  CALL abort_gcm(modname,abort_message,1)
+  CALL abort_physic(modname,abort_message,1)
 
 !
Index: /LMDZ5/branches/testing/libf/phylmd/conccm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/conccm.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/conccm.F90	(revision 2408)
@@ -12,6 +12,4 @@
   ! (schema standard du modele NCAR CCM2)
   ! ======================================================================
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -160,6 +158,4 @@
   ! simplifier la lecture et la comprehension.
   ! -----------------------------------------------------------------------
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
   INTEGER pcnst ! nombre de traceurs passifs
   PARAMETER (pcnst=1)
Index: /LMDZ5/branches/testing/libf/phylmd/concvl.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/concvl.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/concvl.F90	(revision 2408)
@@ -29,6 +29,7 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   USE phys_local_var_mod, ONLY: omega
+  USE print_control_mod, ONLY: prt_level, lunout
   IMPLICIT NONE
 ! ======================================================================
@@ -60,5 +61,5 @@
 ! Ma---------output-R-adiabatic ascent mass flux (kg/m2/s)
 ! mip--------output-R-mass flux shed by adiabatic ascent (kg/m2/s)
-! Vprecip----output-R-vertical profile of precipitations (kg/m2/s)
+! Vprecip----output-R-vertical profile of total precipitation (kg/m2/s)
 ! Tconv------output-R-environment temperature seen by convective scheme (K)
 ! Cape-------output-R-CAPE (J/kg)
@@ -83,5 +84,4 @@
 
   include "clesphys.h"
-  include "dimensions.h"
 
   INTEGER iflag_clos
@@ -109,4 +109,5 @@
 !!       REAL Ma(klon,klev), mip(klon,klev),Vprecip(klon,klev)     !jyg
   REAL Ma(klon, klev), mip(klon, klev), Vprecip(klon, klev+1)      !jyg
+  REAL Vprecipi(klon, klev+1)                                      !jyg
   REAL wght(klon, klev)                                            !RL
 
@@ -214,5 +215,4 @@
   include "YOETHF.h"
   include "FCTTRE.h"
-  include "iniprint.h"
 !jyg<
   include "conema3.h"
@@ -415,5 +415,5 @@
                     iflag, d_t, d_q, d_u, d_v, d_tra, rain, kbas, ktop, &
                     cbmf, plcl, plfc, wbeff, sig1, w01, ptop2, sigd, &
-                    Ma, mip, Vprecip, upwd, dnwd, dnwdbis, qcondc, wd, &
+                    Ma, mip, Vprecip, Vprecipi, upwd, dnwd, dnwdbis, qcondc, wd, &
                     cape, cin, tvp, &
                     dd_t, dd_q, plim1, plim2, asupmax, supmax0, &
@@ -476,15 +476,24 @@
     END DO
   END DO
-!                                                   !jyg
-! --Separation neige/pluie (pour diagnostics)       !jyg
-  DO k = 1, klev                                    !jyg
-    DO i = 1, klon                                  !jyg
-      IF (t1(i,k)<rtt) THEN                         !jyg
-        pmflxs(i, k) = Vprecip(i, k)                !jyg
-      ELSE                                          !jyg
-        pmflxr(i, k) = Vprecip(i, k)                !jyg
-      END IF                                        !jyg
-    END DO                                          !jyg
-  END DO                                            !jyg
+!                                                     !jyg
+  IF (iflag_con == 30 .OR. iflag_ice_thermo ==0) THEN
+! --Separation neige/pluie (pour diagnostics)         !jyg
+    DO k = 1, klev                                    !jyg
+      DO i = 1, klon                                  !jyg
+        IF (t1(i,k)<rtt) THEN                         !jyg
+          pmflxs(i, k) = Vprecip(i, k)                !jyg
+        ELSE                                          !jyg
+          pmflxr(i, k) = Vprecip(i, k)                !jyg
+        END IF                                        !jyg
+      END DO                                          !jyg
+    END DO                                            !jyg
+  ELSE
+    DO k = 1, klev                                    !jyg
+      DO i = 1, klon                                  !jyg
+        pmflxs(i, k) = Vprecipi(i, k)                 !jyg
+        pmflxr(i, k) = Vprecip(i, k)-Vprecipi(i, k)   !jyg
+      END DO                                          !jyg
+    END DO                                            !jyg
+  ENDIF
 
 ! c      IF (if_ebil.ge.2) THEN
Index: /LMDZ5/branches/testing/libf/phylmd/condsurf.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/condsurf.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/condsurf.F90	(revision 2408)
@@ -6,4 +6,5 @@
   USE mod_phys_lmdz_para
   USE indice_sol_mod
+  USE time_phylmdz_mod, ONLY: annee_ref
   IMPLICIT NONE
 
@@ -24,7 +25,4 @@
   INTEGER epais(2)
 
-  ! ym#include "dimensions.h"
-  ! ym#include "dimphy.h"
-  include "temps.h"
   include "clesphys.h"
 
@@ -56,5 +54,5 @@
   IF (jour<0 .OR. jour>(360-1)) THEN
     PRINT *, 'Le jour demande n est pas correct: ', jour
-    CALL abort_gcm('condsurf', '', 1)
+    CALL abort_physic('condsurf', '', 1)
   END IF
 
@@ -76,5 +74,5 @@
     PRINT *, ' trouve pas sur les ', nannemax, ' annees a partir de '
     PRINT *, ' l annee de debut', annee_ref
-    CALL abort_gcm('condsurf', '', 1)
+    CALL abort_physic('condsurf', '', 1)
 
 100 CONTINUE
@@ -96,5 +94,5 @@
       WRITE (6, *) '       l an 2000 )  ,  n existe  pas !  '
       WRITE (6, *) ' ierr = ', ierr
-      CALL abort_gcm('condsurf', '', 1)
+      CALL abort_physic('condsurf', '', 1)
     END IF
     ! DO k = 1, jour
@@ -109,5 +107,5 @@
     ierr = nf_inq_varid(nid, 'BILS', nvarid)
     IF (ierr/=nf_noerr) THEN
-      CALL abort_gcm('cond_surf', 'Le champ <BILS> est absent', 1)
+      CALL abort_physic('cond_surf', 'Le champ <BILS> est absent', 1)
     END IF
     PRINT *, 'debut,epais', debut, epais, 'jour,jourvrai', jour, jourvrai
@@ -118,5 +116,5 @@
 #endif
     IF (ierr/=nf_noerr) THEN
-      CALL abort_gcm('condsurf', 'Lecture echouee pour <BILS>', 1)
+      CALL abort_physic('condsurf', 'Lecture echouee pour <BILS>', 1)
     END IF
     ! ENDDO !k = 1, jour
Index: /LMDZ5/branches/testing/libf/phylmd/conema3.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/conema3.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/conema3.F90	(revision 2408)
@@ -8,5 +8,5 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   ! ======================================================================
@@ -53,5 +53,4 @@
   ! ======================================================================
 
-  include "dimensions.h"
   include "conema3.h"
   INTEGER i, l, m, itra
Index: /LMDZ5/branches/testing/libf/phylmd/conemav.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/conemav.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/conemav.F90	(revision 2408)
@@ -8,5 +8,5 @@
 
   USE dimphy
-  USE infotrac, ONLY: nbtr
+  USE infotrac_phy, ONLY: nbtr
   IMPLICIT NONE
   ! ======================================================================
@@ -41,6 +41,4 @@
   ! Ice_flag-input-L-TRUE->prise en compte de la thermodynamique de la glace
   ! ======================================================================
-
-  include "dimensions.h"
 
 
Index: /LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/conf_phys_m.F90	(revision 2408)
@@ -27,7 +27,6 @@
     USE phys_cal_mod
     USE carbon_cycle_mod, ONLY : carbon_cycle_tr, carbon_cycle_cpl
-    USE control_mod
     USE mod_grid_phy_lmdz, only: klon_glo
-
+    USE print_control_mod, ONLY: lunout
 
 
@@ -39,5 +38,4 @@
 
     include "thermcell.h"
-    include "iniprint.h"
 
 
@@ -206,5 +204,8 @@
     LOGICAL,SAVE :: ok_strato_omp
     LOGICAL,SAVE :: ok_hines_omp, ok_gwd_rando_omp
-    real, SAVE:: GWD_RANDO_RUWMAX_omp, gwd_rando_sat_omp
+    real, SAVE:: gwd_rando_ruwmax_omp, gwd_rando_sat_omp
+    real, SAVE:: gwd_front_ruwmax_omp, gwd_front_sat_omp
+    real, save:: sso_gkdrag_omp,sso_grahil_omp,sso_grcrit_omp
+    real, save:: sso_gfrcri_omp,sso_gkwake_omp,sso_gklift_omp
     LOGICAL,SAVE :: ok_qch4_omp
     LOGICAL,SAVE      :: carbon_cycle_tr_omp
@@ -220,5 +221,5 @@
     !-----------------------------------------------------------------
 
-     print*,'CONFPHYS ENTREE'
+    print*,'CONFPHYS ENTREE'
     !$OMP MASTER 
     !Config Key  = type_ocean 
@@ -249,5 +250,5 @@
        WRITE(lunout,*)'Variable OCEAN has been replaced by the variable type_ocean.'
        WRITE(lunout,*)'You have to update your parameter file physiq.def to succed running'
-       CALL abort_gcm('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
+       CALL abort_physic('conf_phys','Variable OCEAN no longer existing, use variable name type_ocean',1)
     END IF
 
@@ -262,5 +263,5 @@
        WRITE(lunout,*)'ERROR! Timestep of coupling between atmosphere and ocean'
        WRITE(lunout,*)'cannot be zero.'
-       CALL abort_gcm('conf_phys','t_coupl = 0.',1)
+       CALL abort_physic('conf_phys','t_coupl = 0.',1)
     END IF
 
@@ -915,5 +916,5 @@
     NSW_omp = 6
     call getin('NSW',NSW_omp)
-!albedo SB >>>
+    !albedo SB >>>
     iflag_albedo_omp = 0
     call getin('iflag_albedo',iflag_albedo_omp)
@@ -921,5 +922,5 @@
     ok_chlorophyll_omp=.false.
     call getin('ok_chlorophyll',ok_chlorophyll_omp)
-!albedo SB <<<
+    !albedo SB <<<
 
     !
@@ -930,7 +931,7 @@
     !
     iflag_cld_th_omp = 1
-! On lit deux fois avec l'ancien et le nouveau nom 
-! pour assurer une retrocompatiblite.
-! A abandonner un jour
+    ! On lit deux fois avec l'ancien et le nouveau nom 
+    ! pour assurer une retrocompatiblite.
+    ! A abandonner un jour
     call getin('iflag_cldcon',iflag_cld_th_omp)
     call getin('iflag_cld_th',iflag_cld_th_omp)
@@ -1680,5 +1681,5 @@
     !
 
-! Gustiness flags
+    ! Gustiness flags
     f_z0qh_oce_omp = 1.
     call getin('f_z0qh_oce',f_z0qh_oce_omp)
@@ -1813,4 +1814,5 @@
     !Config  Def  = .FALSE.
     !Config  Help = active la version stratosph\'erique de LMDZ de F. Lott
+    !               Et la sponge layer (Runs Stratospheriques)
 
     ok_strato_omp=.FALSE.
@@ -1821,8 +1823,29 @@
     !Config  Def  = .FALSE.
     !Config  Help = Clefs controlant la parametrization de Hines
-    !               Et la sponge layer (Runs Stratospheriques)
 
     ok_hines_omp=.FALSE.
     CALL getin('ok_hines',ok_hines_omp)
+
+    !  Parametres pour les ondes de gravite
+    !  
+    !  Subgrid Scale Orography (Lott Miller (1997), Lott (1999))
+
+    sso_gkdrag_omp = merge(0.1875, 0.2, ok_strato_omp)
+    CALL getin('sso_gkdrag', sso_gkdrag_omp)
+
+    sso_grahil_omp=merge(0.1,1.,ok_strato_omp)
+    CALL getin('sso_grahil', sso_grahil_omp)
+
+    sso_grcrit_omp =merge(1.,0.01,ok_strato_omp)
+    CALL getin('sso_grcrit', sso_grcrit_omp)
+
+    sso_gfrcri_omp = 1.
+    CALL getin('sso_gfrcri', sso_gfrcri_omp)
+
+    sso_gkwake_omp = 0.50
+    CALL getin('sso_gkwake', sso_gkwake_omp)
+
+    sso_gklift_omp = merge(0.25,0.50,ok_strato_omp)
+    CALL getin('sso_gklift', sso_gklift_omp)
 
     ! Random gravity waves:
@@ -1836,9 +1859,16 @@
     ENDIF
 
-    GWD_RANDO_RUWMAX_omp = 0.01
-    CALL getin('gwd_rando_ruwmax', GWD_RANDO_RUWMAX_omp)
+    gwd_rando_ruwmax_omp = 2.00
+    CALL getin('gwd_rando_ruwmax', gwd_rando_ruwmax_omp)
 
     gwd_rando_sat_omp = 0.25
     CALL getin('gwd_rando_sat', gwd_rando_sat_omp)
+
+    gwd_front_ruwmax_omp = 2.50
+    CALL getin('gwd_front_ruwmax', gwd_front_ruwmax_omp)
+
+    gwd_front_sat_omp = 0.60
+    CALL getin('gwd_front_sat', gwd_front_sat_omp)
+
 
     !Config  key = ok_qch4
@@ -2022,4 +2052,6 @@
     iflag_radia = iflag_radia_omp
     iflag_rrtm = iflag_rrtm_omp
+    iflag_albedo = iflag_albedo_omp
+    ok_chlorophyll = ok_chlorophyll_omp
     NSW = NSW_omp
     iflag_cld_th = iflag_cld_th_omp
@@ -2098,9 +2130,19 @@
     tmax_fonte_cv = tmax_fonte_cv_omp
     alphas = alphas_omp
+
+    gkdrag=sso_gkdrag_omp
+    grahilo=sso_grahil_omp
+    grcrit=sso_grcrit_omp
+    gfrcrit=sso_gfrcri_omp
+    gkwake=sso_gkwake_omp 
+    gklift=sso_gklift_omp 
+
     ok_strato = ok_strato_omp
     ok_hines = ok_hines_omp
     ok_gwd_rando = ok_gwd_rando_omp
-    GWD_RANDO_RUWMAX = GWD_RANDO_RUWMAX_omp
+    gwd_rando_ruwmax = gwd_rando_ruwmax_omp
     gwd_rando_sat = gwd_rando_sat_omp
+    gwd_front_ruwmax = gwd_front_ruwmax_omp
+    gwd_front_sat = gwd_front_sat_omp
     ok_qch4 = ok_qch4_omp
     ok_LES = ok_LES_omp
@@ -2113,5 +2155,5 @@
     IF (type_ocean=='couple' .AND. (version_ocean/='opa8' .AND. version_ocean/='nemo') ) THEN
        WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid in coupled configuration'
-       CALL abort_gcm('conf_phys','version_ocean not valid',1)
+       CALL abort_physic('conf_phys','version_ocean not valid',1)
     END IF
 
@@ -2119,7 +2161,7 @@
        version_ocean='sicOBS'
     ELSE IF (type_ocean=='slab' .AND. version_ocean/='sicOBS' &
-             .AND. version_ocean/='sicINT' .AND. version_ocean/='sicNO') THEN
+         .AND. version_ocean/='sicINT' .AND. version_ocean/='sicNO') THEN
        WRITE(lunout,*)' ERROR version_ocean=',version_ocean,' not valid with slab ocean'
-       CALL abort_gcm('conf_phys','version_ocean not valid',1)
+       CALL abort_physic('conf_phys','version_ocean not valid',1)
     END IF
 
@@ -2128,8 +2170,8 @@
     IF (ok_ade .OR. ok_aie) THEN 
        IF ( flag_aerosol .EQ. 0 ) THEN
-          CALL abort_gcm('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
+          CALL abort_physic('conf_phys','flag_aerosol=0 not compatible avec ok_ade ou ok_aie=.TRUE.',1)
        END IF
        IF ( .NOT. new_aod .AND.  flag_aerosol .NE. 1) THEN
-          CALL abort_gcm('conf_phys','new_aod=.FALSE. not compatible avec flag_aerosol=1',1)
+          CALL abort_physic('conf_phys','new_aod=.FALSE. not compatible avec flag_aerosol=1',1)
        END IF
     END IF
@@ -2137,5 +2179,5 @@
     ! ok_cdnc must be set to y if ok_aie is activated
     IF (ok_aie .AND. .NOT. ok_cdnc) THEN
-       CALL abort_gcm('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated',1)
+       CALL abort_physic('conf_phys', 'ok_cdnc must be set to y if ok_aie is activated',1)
     ENDIF
 
@@ -2308,6 +2350,14 @@
     write(lunout,*) 'ok_gwd_rando = ',  ok_gwd_rando
     write(lunout,*) 'ok_qch4 = ',  ok_qch4
-    write(lunout,*) 'GWD_RANDO_RUWMAX = ', GWD_RANDO_RUWMAX
+    write(lunout,*) 'gwd_rando_ruwmax = ', gwd_rando_ruwmax
     write(lunout,*) 'gwd_rando_sat = ', gwd_rando_sat
+    write(lunout,*) 'gwd_front_ruwmax = ', gwd_front_ruwmax
+    write(lunout,*) 'gwd_front_sat = ', gwd_front_sat
+    write(lunout,*) 'SSO gkdrag =',gkdrag
+    write(lunout,*) 'SSO grahilo=',grahilo
+    write(lunout,*) 'SSO grcrit=',grcrit
+    write(lunout,*) 'SSO gfrcrit=',gfrcrit
+    write(lunout,*) 'SSO gkwake=',gkwake
+    write(lunout,*) 'SSO gklift=',gklift
     write(lunout,*) 'read_climoz = ', read_climoz
     write(lunout,*) 'carbon_cycle_tr = ', carbon_cycle_tr
@@ -2328,6 +2378,6 @@
 
   use IOIPSL
+  USE print_control_mod, ONLY: lunout
   implicit none
-  include "iniprint.h"
   ! Configuration de l'interace atm/surf
   !
Index: /LMDZ5/branches/testing/libf/phylmd/conflx.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/conflx.F90	(revision 2407)
+++ /LMDZ5/branches/testing/libf/phylmd/conflx.F90	(revision 2408)
@@ -16,6 +16,4 @@
   ! et lessivage des traceurs passifs.
   ! ======================================================================
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -210,6 +208,4 @@
   IMPLICIT NONE
   ! ------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -489,6 +485,4 @@
   ! AND INITIALIZES VALUES FOR UPDRAFTS
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -619,6 +613,4 @@
   ! (NON ENTRAINING PLUME,I.E.CONSTANT MASSFLUX)
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -696,6 +688,4 @@
   ! FOR CUMULUS PARAMETERIZATION
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -992,4 +982,5 @@
     pdpmel, ktopm2, pmflxr, pmflxs)
   USE dimphy
+  USE print_control_mod, ONLY: prt_level
   IMPLICIT NONE
   ! ----------------------------------------------------------------------
@@ -997,10 +988,7 @@
   ! FLUXES IN THE CLOUD LAYER AND IN THE SUBCLOUD LAYER
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
   include "YOECUMF.h"
-  include "iniprint.h"
 
   REAL cevapcu(klon, klev)
@@ -1242,6 +1230,4 @@
   ! calculer les tendances T et Q
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -1319,6 +1305,4 @@
   ! MOIST ENVIRONMENTAL AIR AND CLOUD AIR.
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -1428,6 +1412,4 @@
 
   ! ----------------------------------------------------------------------
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
   include "YOETHF.h"
@@ -1535,6 +1517,4 @@
   ! kcall=2  EVAPORATION IN DOWNDRAFTS (E.G. CUDLFS,CUDDRAF)
 
-  ! yminclude "dimensions.h"
-  ! yminclude "dimphy.h"
   include "YOMCST.h"
 
